Subject: Re: bug#78920: 30.1; Process sentinel is not called when DNS lookup fails

From: Shawn Henson <[email-masked]>
Date: Sun, 29 Jun 2025 17:22:36 -0400

Robert Pluim <[email-masked]> writes:

>>>>>> On Sun, 29 Jun 2025 05:17:18 -0400, Shawn Henson <[email-masked]> said:
>     Shawn> I see, though, interestingly if you are to run the `list-processes'
>     Shawn> you will see it persist there
>     Shawn> indefinitely with a "failed" status.  And if you do kill it, then the
>     Shawn> process sentinel will be
>     Shawn> called.
>
> Hmm, that seems wrong. When using async DNS, which we will only do for
> ":nowait t", Emacs will create the process, and then deactivate it
> upon DNS failure with a status of "failed". I donʼt think the sentinel
> gets called, but I havenʼt tested it.

Sorry, I miswrote, I said "killing", but I meant to say the sentinel only gets
called when *deleting* the process (manually, with `delete-process')
after it has failed. Still, this happens after the process has been
deactivated.

> I wonder what Emacs does for ":nowait t" without async DNS, when the
> connect fails. Iʼd expect it to call the sentinel with a "failed"
> status.

Is there a trivial way to test this?

Best,
Shawn